clang-tools 10.0.0

Classes | Namespaces
ClangTidyCheck.h File Reference
`#include "ClangTidyDiagnosticConsumer.h"`
`#include "ClangTidyOptions.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "clang/Basic/Diagnostic.h"`
`#include "clang/Basic/SourceManager.h"`
`#include "llvm/ADT/StringExtras.h"`
`#include <memory>`
`#include <type_traits>`
`#include <vector>`
Include dependency graph for ClangTidyCheck.h:

Go to the source code of this file.

## Classes
class | clang::tidy::ClangTidyCheck
| Base class for all clang-tidy checks. More...
class | clang::tidy::ClangTidyCheck::OptionsView
| Provides access to the `ClangTidyCheck` options via check-local names. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy